# Microsoft C MSDOS make file for ssystem.exe
# Regular double precision version
# Be sure to define IBMPC 1 and MSC 1 in mconf.h
# and arithmetic precision in prec.h
#
# The following optimization flags work on MSC version 7
#CFLAGS=/c /Oelnot /FPi87
# No optimization is safe on older versions
CFLAGS=/c /Od /FPi87
LFLAGS=
INCS= int.h prec.h ssystem.h ini118d.h

ssystem.obj: ssystem.c $(INCS)
	cl $(CFLAGS) ssystem.c

oblate.obj: oblate.c $(INCS)
	cl $(CFLAGS) oblate.c

reltiv.obj: reltiv.c $(INCS)
	cl $(CFLAGS) reltiv.c

jplmp.obj: jplmp.c $(INCS)
	cl $(CFLAGS) jplmp.c

findcent.obj: findcent.c $(INCS)
	cl $(CFLAGS) findcent.c

adams4.obj: adams4.c $(INCS)
	cl $(CFLAGS) adams4.c

runge.obj: runge.c $(INCS)
	cl $(CFLAGS) runge.c

nut1t.obj: nut1t.c $(INCS)
	cl $(CFLAGS) nut1t.c

aconst.obj: aconst.c $(INCS)
	cl $(CFLAGS) aconst.c

epsiln.obj: epsiln.c $(INCS)
	cl $(CFLAGS) epsiln.c

precess.obj: precess.c $(INCS)
	cl $(CFLAGS) precess.c

zatan2.obj: zatan2.c $(INCS)
	cl $(CFLAGS) zatan2.c

mtherr.obj: mtherr.c $(INCS)
	cl $(CFLAGS) mtherr.c

rdnums.obj: rdnums.c $(INCS) aconst.h
	cl $(CFLAGS) rdnums.c

ieee.obj: ieee.c $(INCS) ehead.h
	cl $(CFLAGS) ieee.c

econst.obj: econst.c $(INCS)
	cl $(CFLAGS) econst.c


# Long double version
#ssystem.exe: ssystem.obj reltiv.obj jplmp.obj oblate.obj aconst.obj \
#adams4.obj runge.obj nut1t.obj epsiln.obj precess.obj polevll.obj \
#asinl.obj atanl.obj sinl.obj tanl.obj zatan2.obj mtherr.obj \
#findcent.obj rdnums.obj ieee.obj econst.obj
# 	link @ssysteml.rsp

# Double version
ssystem.exe: ssystem.obj reltiv.obj jplmp.obj oblate.obj aconst.obj \
adams4.obj runge.obj nut1t.obj epsiln.obj precess.obj \
zatan2.obj mtherr.obj rdnums.obj ieee.obj econst.obj
 	link @ssystemd.rsp


